Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366140 - TestOnly: Extra leap second on 31st of December 2016
Summary: TestOnly: Extra leap second on 31st of December 2016
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.5
: 4.0.5
Assignee: Martin Perina
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On: 1356098
Blocks: 1369749
TreeView+ depends on / blocked
 
Reported: 2016-08-11 07:48 UTC by Martin Perina
Modified: 2017-01-18 07:35 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1369749 (view as bug list)
Environment:
Last Closed: 2017-01-18 07:35:22 UTC
oVirt Team: Infra
mperina: ovirt-4.0.z?
rule-engine: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)

Description Martin Perina 2016-08-11 07:48:50 UTC
On December 31st 2016 at precisely 23:59:59, the world’s atomic clocks will pause for a single second.

Or, to be more precise, they’ll change to the uncharted time of 23:59:60 before ticking over to the more worldly hour of 00:00:00 on the morning of January 1st, 2017.

This addition of a leap second, announced by the Paris Observatory this week, is being added to keep terrestrial clocks in step with the vagaries of astronomical time in this case, the slowing of the Earth’s rotation. 


Official reference from INTERNATIONAL EARTH ROTATION AND REFERENCE SYSTEMS SERVICE (IERS) 
https://hpiers.obspm.fr/iers/bul/bulc/bulletinc.52

Comment 2 Martin Perina 2016-09-29 13:21:47 UTC
Moving bug to oVirt as requrested

Comment 3 Red Hat Bugzilla Rules Engine 2016-09-29 13:21:57 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 4 Petr Kubica 2016-10-27 12:08:01 UTC
Packaged tested, but leap second not found. Waiting for response from developers on tzdata.

#rpm -qa | grep tzdata
tzdata-java-2016h-1.el7.noarch
joda-time-2.2-3.tzdata2013c.el7.noarch
tzdata-2016h-1.el7.noarc
# ls -l /etc/localtime
lrwxrwxrwx. 1 root root 23 31. pro 23.59 /etc/localtime -> /usr/share/zoneinfo/UTC
# zdump -v right/UTC | grep Sat.Dec.31.*2016
right/UTC  Sat Dec 31 23:59:60 2016 UTC = Sat Dec 31 23:59:60 2016 UTC isdst=0 gmtoff=0
# timedatectl set-time '2016-12-31 23:59:58'
# while sleep 0.1 ; do date -Ins ; done

2016-12-31T23:59:58,871628773+0000
2016-12-31T23:59:58,976635104+0000
2016-12-31T23:59:59,081282339+0000
2016-12-31T23:59:59,185782403+0000
2016-12-31T23:59:59,290251390+0000
2016-12-31T23:59:59,394727934+0000
2016-12-31T23:59:59,499110085+0000
2016-12-31T23:59:59,603719479+0000
2016-12-31T23:59:59,708188036+0000
2016-12-31T23:59:59,812603441+0000
2016-12-31T23:59:59,917200989+0000
2017-01-01T00:00:00,021682486+0000
2017-01-01T00:00:00,126340360+0000
2017-01-01T00:00:00,231273968+0000
2017-01-01T00:00:00,335712105+0000
2017-01-01T00:00:00,440249463+0000
2017-01-01T00:00:00,544633160+0000
2017-01-01T00:00:00,649209988+0000
2017-01-01T00:00:00,754083045+0000
2017-01-01T00:00:00,858562959+0000
2017-01-01T00:00:00,963070327+0000
2017-01-01T00:00:01,073035637+0000

Comment 5 Petr Kubica 2016-11-03 13:13:30 UTC
Verified in 4.0.5-5
vdsm-4.18.15.2-1.el7ev.x86_64
rhevm-4.0.5.4-0.1.el7ev.noarch

Tested flows:
- normal running with many VMs
- async operations during leap second (migrating, created snapshot, template...)
- VM under load

Tested env:
- time was set 5 minut before and watching behavior for 20 minutes (I/O, cpu, memory - checking unexpected behavior)
- used timezone UTC
- checking log after every tested flow


Note You need to log in before you can comment on or make changes to this bug.